Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 02-02-2020 21:31:44

d33p
Adhérent(e)
Lieu : Longwy
Distrib. : Debian buster 64bits
Noyau : Linux 4.19.0-8-amd64
(G)UI : GNOME, branches stables
Inscription : 01-12-2015

[INFORMATIF] apt listbugs blocage de script !?

Hello,

J'ai fait l'acquisition d'un multifonction HP 9010 car mon vieux Canon MP640 après ... je sais plus trop peut-être 10 - 15 ans de services commençait à être lent par rapport à nos impressions / scan.
J'ai installé le HPLIP dispo dans Debian, je suis en Buster, la version des repo est la 3.18
Malheureusement la 3.18 ne voit pas le HP 9010 car il semble plus recent que la version 3.18...

J'ai donc purgé la version 3.18 et installé la version HPLIP dispo sur le site de HP la version 3.19
https://developers.hp.com/hp-linux-imaging-and-printing

Le HPLIP 3.19 c'est un script qui automatise l'installation du materiel HP et il va normalement egalement chercher et installer des dependances necessaire au bon fonctionnement de l'appareil...
Je lance le script...
Et là... le script bloquait, disons, rien ne se passait...
J'ai donc essayé d'installer les dependances à la main plutot que via le script hplip et en fait je suis tombé sur un paquet qui bloquait (c'etait libtool) car comme j'ai apt listbugs il me demandait une validation.
Alors j'ai compris que le blocage venait surement de là...
J'ai desinstallé apt listbugs juste le temps de l'installation du script HP et tout fonctionne tres bien à présent.

Voila, ce petit poste surtout au cas où quelqu'un serait dans le meme cas, cela evitera de se casser la tete pendant x minutes voire x heures.
Je pense que ça peut arriver dans d'autres cas qu'avec HP, je pense aux scripts qui installent des dependances en general mefiance avec apt listbugs.

JC

Dernière modification par d33p (02-02-2020 21:33:33)


science sans conscience n'est que ruine de l'âme...
Location:
https://framacarte.org/en/map/debian-fa … 78/5.76506

Hors ligne

Pied de page des forums